QGIS Application - Bug report #16752

Function Editor "New File" reset previous functions

2017-06-25 09:37 AM - Klas Karlsson

Status: Closed
Priority: High
Assignee:

Category: Expressions

Affected QGIS version:2.18.9
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 24651

Description

It seems like a click on the "New File" button (actually when you set the new file name), the function that is currently "selected" will be

reset!

By this | mean any edited code will be erased and replaced with the default startup code.

There doesn't seem to be a way to undo this, so if you have written a lot of code in a function that has been reset, the code will be lost.

The workaround is to create a "dummy" function that | select before | add a new file.

Example:
Skérmbild_2017-06-25_09-34-04.png

Add new file, name it, press ok:
Skérmbild_2017-06-25_09-35-04.png

Associated revisions

Revision d8398400 - 2017-11-14 06:53 PM - Alexander Bruy

correctly create new function file (fix #16752)

Revision 26e4d4f4 - 2017-11-15 08:24 AM - Alexander Bruy

correctly create new function file (fix #16752)

(cherry picked from commit d8398400f989147e8b9c89bf3c4beb87e2f8f97f)

History

#1 - 2017-06-29 02:58 PM - Harrissou Santanna
- Operating System deleted (Linux Ubuntu 16.04)

| can confirm too (with master). Very embarrassing when you spent time to have a working code.

Also, The old file loses its icon in the list...
| Had it on windows so | removed the OS indication.

#2 - 2017-11-14 06:54 PM - Alexander Bruy
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|d8398400f989147e8b9c89bf3c4beb87e2{8f971.
